"use client";
import { useTheme } from "@/components/ThemeProvider";
import { account } from "@/lib/appwrite";

export default function Navbar() {
  const { darkMode } = useTheme();

  const handleLogout = async () => {
    await account.deleteSession("current");
    window.location.href = "/login";
  };

  return (
    <nav className={`
      flex justify-between items-center p-4
      ${darkMode ? 'bg-white-200' : 'bg-gray-200'}
    `}>
      <h1 className={`text-lg font-bold ${darkMode ? 'text-black' : 'text-black'}`}>
        Navbar
      </h1>
      
      <button
        onClick={handleLogout}
        className={`
          px-4 py-2 rounded
          ${darkMode ? 'bg-red-700' : 'bg-red-500'}
          text-white
        `}
      >
        Logout
      </button>
    </nav>
  );
}